Старый openssl!

Обсуждение проблем в работе программного комплекса
TolikD
Сообщения: 5
Зарегистрирован:
29 апр 2018, 13:37

Старый openssl!

TolikD » 10 май 2018, 10:04

OSP 5.2.8 Apache 2.2 PHP 5.4
Парсим сайты CURL через https:
[ssl_version] => OpenSSL/1.0.2l

Делаем тот же парсинг с вызовом скрипта через планировщик:
[ssl_version] => OpenSSL/0.9.8zf

Итог 50% парсинга в г%#но
Аватара пользователя
Максим
Сообщения: 5385
Зарегистрирован:
11 дек 2010, 20:29
Контактная информация:

Re: Старый openssl!

Максим » 10 май 2018, 11:01

Не совсем понял в чём вопрос, можно подробнее? В PHP встроен тот OpenSSL, с которым его собрали разработчики и выложили на сайт. (в OSP используются оригинальные дистрибутивы с сайта PHP).
TolikD
Сообщения: 5
Зарегистрирован:
29 апр 2018, 13:37

Re: Старый openssl!

TolikD » 10 май 2018, 11:09

Проблема в том, что многие сайты, особенно крупные считают ветку 0.9.8 устаревшей и не отдают контент. Не буду утверждать, но ошибка скорей всего в OSP, а не в PHP, так как при вызове через apache скрипт подхватывает нормальный ssl.
Аватара пользователя
Максим
Сообщения: 5385
Зарегистрирован:
11 дек 2010, 20:29
Контактная информация:

Re: Старый openssl!

Максим » 10 май 2018, 11:13

Причём тут OSP вообще? Он просто запускает модули. Хотите более новую версию openssl - смените на более новую версию php, вот и всё.
TolikD
Сообщения: 5
Зарегистрирован:
29 апр 2018, 13:37

Re: Старый openssl!

TolikD » 10 май 2018, 11:21

Ок, почему в других сборках такого не происходит win/linux? Мне нужны версии не выше 5.4, может мне сменить OSP вообще?
Аватара пользователя
Максим
Сообщения: 5385
Зарегистрирован:
11 дек 2010, 20:29
Контактная информация:

Re: Старый openssl!

Максим » 10 май 2018, 11:27

Смените, можете вообще что хотите делать, только это не изменит версии openssl которую использовали разработчики php когда релизили php 5.4.
TolikD
Сообщения: 5
Зарегистрирован:
29 апр 2018, 13:37

Re: Старый openssl!

TolikD » 10 май 2018, 11:50

только это не изменит версии openssl
TolikD » Сегодня, 10:04
PHP 5.4
.....
[ssl_version] => OpenSSL/1.0.2l
Я уже понял, что тут не улучшают OSP, а улучшают какой нибудь Denwer, где нет 5.4, зато SSL прекрасно работает
TolikD
Сообщения: 5
Зарегистрирован:
29 апр 2018, 13:37

Re: Старый openssl!

TolikD » 10 май 2018, 23:10

Проблема решена, могли бы и найти решение, без вас обошелся
Ответить